# Creates a merge commit on the head branch with changes from the base

Endpoint: POST /code/api/v1/repos/{repo_identifier}/merge-commit
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    Account Identifier for the Entity.

  - `orgIdentifier` (string)
    Organization Identifier for the Entity.

  - `projectIdentifier` (string)
    Project Identifier for the Entity.

## Path parameters:

  - `repo_identifier` (string, required)

## Request fields (application/json):

  - `base_branch` (string)

  - `base_commit_sha` (string)
    Git object hash

  - `bypass_rules` (boolean)

  - `dry_run` (boolean)

  - `dry_run_rules` (boolean)

  - `head_branch` (string)

  - `head_commit_sha` (string)
    Git object hash

  - `message` (string)

  - `title` (string)

## Response 200 fields (application/json):

  - `already_ancestor` (boolean)

  - `conflict_files` (array)

  - `dry_run` (boolean)

  - `dry_run_rules` (boolean)

  - `new_head_branch_sha` (string)
    Git object hash

  - `rule_violations` (array)

  - `rule_violations.bypassable` (boolean)

  - `rule_violations.bypassed` (boolean)

  - `rule_violations.rule` (object)

  - `rule_violations.rule.identifier` (string)

  - `rule_violations.rule.repo_path` (string)

  - `rule_violations.rule.space_path` (string)

  - `rule_violations.rule.state` (string,null)
    Enum: "active", "disabled", "monitor"

  - `rule_violations.rule.type` (string)
    Enum: "branch", "push", "tag"

  - `rule_violations.violations` (array,null)

  - `rule_violations.violations.code` (string)

  - `rule_violations.violations.message` (string)

  - `rule_violations.violations.params` (array,null)

## Response 400 fields (application/json):

  - `message` (string)

  - `values` (object)

## Response 422 fields (application/json):

  - `conflict_files` (array)

  - `message` (string)

  - `rule_violations` (array)


